Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SoSpotLight Class Reference
[Nodes]

The SoSpotLight class is a node type for light sources with a cone shaped lightvolume. More...

`#include <Inventor/nodes/SoSpotLight.h>`

Inheritance diagram for SoSpotLight:

List of all members.

## Public Methods
| SoSpotLight (void)
virtual void | GLRender (SoGLRenderAction *action)
## Static Public Methods
void | initClass (void)
## Public Attributes
SoSFVec3f | location
SoSFVec3f | direction
SoSFFloat | dropOffRate
SoSFFloat | cutOffAngle
## Protected Methods
virtual | ~SoSpotLight ()

## Detailed Description

The SoSpotLight class is a node type for light sources with a cone shaped lightvolume.

Spotlights are light sources with a position and a direction. They can be thought of as a pointlight with a lampshade.

See also documentation of parent class for important information regarding light sources in general.

See also:
  SoSpotLight

## Constructor & Destructor Documentation

SoSpotLight::SoSpotLight | ( | void |  | ) |

| Constructor.

SoSpotLight::~SoSpotLight | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoSpotLight::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoLight. Reimplemented in SoSpotLightManip.

void SoSpotLight::GLRender | ( | SoGLRenderAction * | action | ) | `[virtual]`

| Action method for the SoGLRenderAction. This is called during rendering traversals. Nodes influencing the rendering state in any way or who wants to throw geometry primitives at OpenGL overrides this method. Reimplemented from SoNode. Reimplemented in SoSpotLightManip.

## Member Data Documentation

SoSFVec3f SoSpotLight::location

| 3D position of light source. Default position is <0, 0, 1>.

SoSFVec3f SoSpotLight::direction

| Direction vector, where the light is pointing. Default is to point along the negative z-axis.

SoSFFloat SoSpotLight::dropOffRate

| The rate of intensity drop-off from the ray along the direction vector. Value must be between 0.0 (equal intensity for the whole cone of light), to 1.0 (a narrow intensity ray). Default value is 0.0.

SoSFFloat SoSpotLight::cutOffAngle

| The angle in radians from the direction vector where there will be no light outside (i.e. the angle of the "lampshade"). Default value is PI/4.0 (i.e. 45°).

The documentation for this class was generated from the following files:

- SoSpotLight.h
- SoSpotLight.cpp